%{?mingw_package_header}

Name:           mingw-libsamplerate
Version:        0.2.2
Release:        1%{?dist}
Summary:        MinGW compiled samplerate library

License:        BSD
URL:            http://www.mega-nerd.com/SRC/
Source0:        https://github.com/libsndfile/libsamplerate/releases/download/%{version}/libsamplerate-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  cmake

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-libsndfile

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-zlib
BuildRequires:  mingw64-libsndfile


%description
MinGW compiled libsamplerate library.


# If a package maintainer wishes to bundle static libraries then they
# can be placed in -static subpackages. Otherwise, the -static subpackages
# can be dropped

# Win32
%package -n mingw32-libsamplerate
Summary:       MinGW compiled samplerate library for the Win32 target

%description -n mingw32-libsamplerate
MinGW compiled samplerate library for the Win32 target.

%package -n mingw32-libsamplerate-static
Summary:       Static version of the MinGW Win32 compiled samplerate library
Requires:      mingw32-samplerate = %{version}-%{release}

%description -n mingw32-libsamplerate-static
Static version of the MinGW Win32 compiled samplerate library.

# Win64
%package -n mingw64-libsamplerate
Summary:       MinGW compiled samplerate library for the Win64 target

%description -n mingw64-libsamplerate
MinGW compiled samplerate library for the Win64 target.

%package -n mingw64-libsamplerate-static
Summary:       Static version of the MinGW Win64 compiled samplerate library
Requires:      mingw64-samplerate = %{version}-%{release}

%description -n mingw64-libsamplerate-static
Static version of the MinGW Win64 compiled samplerate library.


%{?mingw_debug_package}


%prep
%autosetup -n libsamplerate-%{version}


%build
%mingw_cmake
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT


# Win32
%files -n mingw32-libsamplerate
%{mingw32_docdir}/libsamplerate/
%{mingw32_bindir}/libsamplerate-0.dll
%{mingw32_includedir}/
%{mingw32_libdir}/libsamplerate.dll.a
%{mingw32_libdir}/pkgconfig/samplerate.pc
%{mingw32_libdir}/cmake/SampleRate/

# Win64
%files -n mingw64-libsamplerate
%{mingw64_docdir}/libsamplerate/
%{mingw64_bindir}/libsamplerate-0.dll
%{mingw64_includedir}/
%{mingw64_libdir}/libsamplerate.dll.a
%{mingw64_libdir}/pkgconfig/samplerate.pc
%{mingw64_libdir}/cmake/SampleRate/


%changelog
* Tue Jul 15 2025 Richard Shaw <hobbes1069@gmail.com> - 0.2.2-1
- Update to 0.2.2.

* Wed May 30 2018 Richard Shaw <hobbes1069@gmail.com> - 0.1.9-1
- Initial packaging.
